Skip to main content
GET
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
Retrieve accounts with a set flag state
curl --request GET \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals \
  --header 'Authorization: Bearer <token>'
{
  "portalFlagStates": [
    {
      "appId": 123,
      "flagName": "<string>",
      "flagState": "ABSENT",
      "portalId": 123
    }
  ]
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required
flagName
string
required

Query Parameters

limit
integer<int32>

The maximum number of results to display per page.

startPortalId
integer<int32>

Response

successful operation

portalFlagStates
object[]
required
Last modified on March 30, 2026